CodeNarcPlugin (Gradle API 2.14)
Date: 2016-06-14

org.gradle.api.plugins.quality

## Class CodeNarcPlugin

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<org.gradle.api.plugins.quality.CodeNarc>
    - - org.gradle.api.plugins.quality.CodeNarcPlugin

- All Implemented Interfaces:
    GroovyObject, Plugin<org.gradle.api.internal.project.ProjectInternal>

      public class CodeNarcPlugin
      extends org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<org.gradle.api.plugins.quality.CodeNarc>

  CodeNarc Plugin.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_CODENARC_VERSION`

    - ### Fields inherited from class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin

      `project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CodeNarcPlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `configureForSourceSet(SourceSet sourceSet, org.gradle.api.plugins.quality.CodeNarc task)`
    `protected void` | `configureTaskDefaults(org.gradle.api.plugins.quality.CodeNarc task, String baseName)`
    `protected CodeQualityExtension` | `createExtension()`
    `protected Class<? extends Plugin>` | `getBasePlugin()`
    `protected Class<org.gradle.api.plugins.quality.CodeNarc>` | `getTaskType()`
    `protected String` | `getToolName()`

    - ### Methods inherited from class org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin

      `apply, beforeApply, conventionMappingOf, createConfigurations, getConfigurationName, getJavaPluginConvention, getReportName, getTaskBaseName, withBasePlugin`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_CODENARC_VERSION

          public static final String DEFAULT_CODENARC_VERSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CodeNarcPlugin

          public CodeNarcPlugin()

  - ### Method Detail

    - #### getToolName

          protected String getToolName()

      Specified by:
        `getToolName` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<org.gradle.api.plugins.quality.CodeNarc>`

    - #### getTaskType

          protected Class<org.gradle.api.plugins.quality.CodeNarc> getTaskType()

      Specified by:
        `getTaskType` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<org.gradle.api.plugins.quality.CodeNarc>`

    - #### getBasePlugin

          protected Class<? extends Plugin> getBasePlugin()

      Overrides:
        `getBasePlugin` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<org.gradle.api.plugins.quality.CodeNarc>`

    - #### createExtension

          protected CodeQualityExtension createExtension()

      Specified by:
        `createExtension` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<org.gradle.api.plugins.quality.CodeNarc>`

    - #### configureTaskDefaults

          protected void configureTaskDefaults(org.gradle.api.plugins.quality.CodeNarc task,
                                   String baseName)

      Overrides:
        `configureTaskDefaults` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<org.gradle.api.plugins.quality.CodeNarc>`

    - #### configureForSourceSet

          protected void configureForSourceSet(SourceSet sourceSet,
                                   org.gradle.api.plugins.quality.CodeNarc task)

      Overrides:
        `configureForSourceSet` in class `org.gradle.api.plugins.quality.internal.AbstractCodeQualityPlugin<org.gradle.api.plugins.quality.CodeNarc>`